USE Trofima;
GO
SET ANSI_NULLS ON;
GO
SET QUOTED_IDENTIFIER ON;
GO

CREATE TRIGGER after_insert_delete_update ON products AFTER INSERT, DELETE, UPDATE
AS

DECLARE @operation nvarchar(50) ;

IF EXISTS(SELECT * FROM inserted) AND EXISTS(SELECT * FROM deleted) SELECT @operation = 'UPDATE';
IF EXISTS(SELECT * FROM inserted) AND NOT EXISTS(SELECT * FROM deleted) SELECT @operation = 'INSERT';
IF NOT EXISTS(SELECT * FROM inserted) AND EXISTS(SELECT * FROM deleted) SELECT @operation = 'DELETE';
IF NOT EXISTS(SELECT * FROM inserted) AND NOT EXISTS(SELECT * FROM deleted) SELECT @operation = 'UNKNOWN';

insert into log_table(log_table, log_operation, log_date, log_user)
	values('products', 'AFTER ' +  @operation, getdate(), SUSER_SNAME());

GO
  